Continuous2DFunction Class Reference

This is a TabulatedFunction that computes a continuous two dimensional function. More...

Inheritance diagram for Continuous2DFunction:

## Public Member Functions

def | __init__ (self, args)
| init(OpenMM::Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax) -> Continuous2DFunction More...
def | getFunctionParameters (self, args)
| getFunctionParameters(Continuous2DFunction self) More...
def | setFunctionParameters (self, args)
| setFunctionParameters(Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax) More...
def | Copy (self, args)
| Copy(Continuous2DFunction self) -> Continuous2DFunction. More...
def | __del__ (self)
| del(OpenMM::Continuous2DFunction self) More...
Public Member Functions inherited from TabulatedFunction
def | __init__ (self, args, kwargs)
def | __del__ (self)
| del(OpenMM::TabulatedFunction self) More...
def | Copy (self, args)
| Copy(TabulatedFunction self) -> TabulatedFunction. More...

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a continuous two dimensional function.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax) -> Continuous2DFunction

This is a TabulatedFunction that computes a continuous two dimensional function.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::Continuous2DFunction self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def Copy | ( |  | self,
|  |  | args
| ) |  |

Copy(Continuous2DFunction self) -> Continuous2DFunction.

References simtk.openmm.openmm.stripUnits().

def getFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

getFunctionParameters(Continuous2DFunction self)

References simtk.openmm.openmm.stripUnits().

def setFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

setFunctionParameters(Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax)

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py